=== debian/changelog ===
gnuplot5 (5.0.3+dfsg2-2) unstable; urgency=medium

  * [55c3249] Make gnuplot5-data binary independent.
  * [bd4b1f3] Declare that gnuplot5-doc provides gnuplot-doc
  * [26ec636] Declare that -qt -nox and -x11 binaries are all
              provide gnuplot4 analogues.
  * [0ba7127] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Wed, 25 May 2016 22:01:54 +0200
